import { createApp } from "vue";
import App from "./App.vue";

const el = document.getElementById("app");

if (null === el) {
  console.error("div element app was not found");
  throw new Error("div element app was not found");
}

const exportGenerationId = el?.dataset.exportGenerationId as string;
const title = el?.dataset.exportTitle as string;
const createdDate = el?.dataset.exportGenerationDate as string;

createApp(App, { exportGenerationId, title, createdDate }).mount(el);
